<?php
session_start();
header( 'Content-type: text/html; charset=windows-1251' );
error_reporting( 1 );
require($_SERVER['DOCUMENT_ROOT']."/sfb.php");

$id_user = (isset($_SESSION["iduser"]) && preg_match("|^[\d]{1,11}$|", trim($_SESSION["iduser"]))) ? intval(trim($_SESSION["iduser"])) : false;

if(!isset($_SESSION['iduser'])) { exit(); }
if(!isset($_POST['func'])) { exit(); }
if($_SERVER['HTTP_X_REQUESTED_WITH'] != "XMLHttpRequest") { exit(); }

// удаление заказа
if($_POST['func'] == "dell_bask") {
$id = intval($_POST["id"]);
mysql_query("DELETE FROM `b_basket` WHERE `id`='$id' AND `fromid`='$id_user'") or die(mysql_error());
mysql_query("UPDATE `b_jarmarka` SET `bron`='0' WHERE `rid` IN(SELECT `ident` FROM `b_basket` WHERE `id`='$id' AND `fromid`='$id_user')") or die(mysql_error());
echo mysql_result(mysql_query("SELECT COUNT(id) FROM `b_basket` WHERE `fromid`='$id_user'"),0);
}

// оплата корзины
if($_POST['func'] == "pay_bask") {
$merch = intval($_POST["merchant"]);

if($merch == 1 AND $wm_pay == 0) {
echo "$infsterr Оплата через WebMoney запрещена!$infederr";exit();
}elseif($merch == 2 AND $qw_pay == 0) {
echo "$infsterr Оплата через QiWi запрещена!$infederr";exit();
}elseif($merch == 3 AND $ym_pay == 0) {
echo "$infsterr Оплата через  YandexMoney запрещена!$infederr";exit();
}elseif($merch == 4 AND $lp_pay == 0) {
echo "$infsterr Оплата через LiqPay запрещена!$infederr";exit();
}elseif($merch == 5 AND $pm_pay == 0) {
echo "$infsterr Оплата через PerfectMoney запрещена!$infederr";exit();
}elseif($merch == 6 AND $py_pay == 0) {
echo "$infsterr Оплата через Payeer запрещена!$infederr";exit();
}elseif($merch == 7 AND $rk_pay == 0) {
echo "$infsterr Оплата через RoboKassa запрещена!$infederr";exit();
}elseif($merch == 8 AND $ik_pay == 0) {
echo "$infsterr Оплата через InterKassa запрещена!$infederr";exit();
}elseif($merch == 9 AND $zp_pay == 0) {
echo "$infsterr Оплата через ZPayment запрещена!$infederr";exit();
}elseif($merch == 10 AND $wo_pay == 0) {
echo "$infsterr Оплата через WalletOne запрещена!$infederr";exit();
}
$summa = mysql_result(mysql_query("SELECT SUM(price) FROM `b_basket` WHERE `fromid`='$id_user'"),0);
if($merch == 0){
$money = mysql_result(mysql_query("SELECT `r_money` FROM `b_users` WHERE `id`='$id_user'"),0);
if($money < $summa){
echo "2";exit();
}
$m_orderid = $id_user;
require_once($_SERVER['DOCUMENT_ROOT']."/merchant/success-merch.php");
mysql_query("UPDATE `b_users` SET `r_money`=`r_money`-'$summa' WHERE `id`='$id_user'");
echo "1";exit();
}else{
echo "<br /><span class='taskquestion'><center>Для продолжения оплаты нажмите кнопку оплатить</center></span><br /><center>";
$summ = number_format(payment_comis_p($merch, $summa), 2, '.', "");
require_once($_SERVER['DOCUMENT_ROOT']."/merchant/form-merchant.php");
echo "</center><br>";
}
}

?>